WordPress 升级重要版本后,都会提示升级数据库,然后才能继续正常的进入后台操作使用,但是如果使用了缓存插件,进入后台时 WordPress 提示:无需升级,您的 WordPress 数据库已经是最新的了! 那么该怎么处理呢?

WordPress Database

首先,WordPress 提示无需升级,但是点击“继续”却无法进入后台,说明服务器或者 WordPress 开启了缓存,服务器安装了 Memcached 或者 Redis 的组件,WordPress 安装了类似 WP Super Cache 的缓存插件。

解决方法一

通过服务器或者 FTP,进入网站根目录下的 wp-content 文件夹,删除 object-cache.php 文件,建议重命名,重新进入后台后,再改回去即可。

解决方法二

登录服务器后台,刷新 Memcached 缓存,或者重载配置即可。

简单总结

方法一是子凡看网上分享最多甚至唯一的解决办法,但是如果删除 object-cache.php 文件将会直接影响 WordPress 站点的缓存功能,造成插件无法正常工作,从而可能导致网站变慢,所以就需要重新配置缓存。

所以子凡建议大家直接刷新缓存,或者重载一下服务配置最好,这样能够在没有影响任何其它多余的情况下最直接的解决问题。

更多关于 WordPress 优化及疑问可以添加 QQ 群:255308000

除非注明,否则均为泪雪博客原创文章,禁止任何形式转载

本文链接:https://zhangzifan.com/wordpress-not-update-database.html

发表评论

  1. 鸟叔
    1楼
    鸟叔 10个月前 (12-09)

    鸟叔来报道了!

    • 张子凡
      回复
      张子凡 10个月前 (12-09)
      回复 @鸟叔 :欢迎鸟叔,热烈欢迎,欢迎欢迎!嘿嘿嘿